scala.collection.parallel

# ThreadPoolTaskSupport

#### class ThreadPoolTaskSupport extends TaskSupport with AdaptiveWorkStealingThreadPoolTasks

A task support that uses a thread pool executor to schedule tasks.

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) Use `ForkJoinTaskSupport` instead.

Source
  TaskSupport.scala
See also

  scala.collection.parallel.TaskSupport for more information.

Linear Supertypes
AdaptiveWorkStealingThreadPoolTasks, AdaptiveWorkStealingTasks, ThreadPoolTasks, TaskSupport, Tasks, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ThreadPoolTaskSupport
2. AdaptiveWorkStealingThreadPoolTasks
3. AdaptiveWorkStealingTasks
4. ThreadPoolTasks
5. TaskSupport
6. Tasks
7. AnyRef
8. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ThreadPoolTaskSupport(environment: ThreadPoolExecutor = ThreadPoolTasks.defaultThreadPool)

### Type Members

1. #### class WrappedTask[R, Tp] extends AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp] with AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp]

   Definition Classes
     AdaptiveWorkStealingThreadPoolTasks

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ThreadPoolTaskSupport to any2stringadd[ThreadPoolTaskSupport] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ThreadPoolTaskSupport, B)

   Implicit information
     This member is added by an implicit conversion from ThreadPoolTaskSupport to ArrowAssoc[ThreadPoolTaskSupport] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (ThreadPoolTaskSupport) ⇒ Boolean, msg: ⇒ Any): ThreadPoolTaskSupport

   Implicit information
     This member is added by an implicit conversion from ThreadPoolTaskSupport to Ensuring[ThreadPoolTaskSupport] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (ThreadPoolTaskSupport) ⇒ Boolean): ThreadPoolTaskSupport

   Implicit information
     This member is added by an implicit conversion from ThreadPoolTaskSupport to Ensuring[ThreadPoolTaskSupport] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): ThreadPoolTaskSupport

    Implicit information
      This member is added by an implicit conversion from ThreadPoolTaskSupport to Ensuring[ThreadPoolTaskSupport] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): ThreadPoolTaskSupport

    Implicit information
      This member is added by an implicit conversion from ThreadPoolTaskSupport to Ensuring[ThreadPoolTaskSupport] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### val environment: ThreadPoolExecutor

    The type of the environment is more specific in the implementations.

    The type of the environment is more specific in the implementations.

    Definition Classes
      ThreadPoolTaskSupport → ThreadPoolTasks → Tasks

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def execute[R, Tp](task: Task[R, Tp]): () ⇒ R

    Executes a task and returns a future.

    Executes a task and returns a future. Forwards an exception if some task threw it.

    Definition Classes
      ThreadPoolTasks → Tasks

16. #### def executeAndWaitResult[R, Tp](task: Task[R, Tp]): R

    Executes a result task, waits for it to finish, then returns its result.

    Executes a result task, waits for it to finish, then returns its result. Forwards an exception if some task threw it.

    Definition Classes
      ThreadPoolTasks → Tasks

17. #### def executor: ThreadPoolExecutor

    Definition Classes
      ThreadPoolTasks

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ThreadPoolTaskSupport to StringFormat[ThreadPoolTaskSupport] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def newWrappedTask[R, Tp](b: Task[R, Tp]): WrappedTask[R, Tp]

    Definition Classes
      AdaptiveWorkStealingThreadPoolTasks → AdaptiveWorkStealingTasks → ThreadPoolTasks

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def parallelismLevel: Int

    Retrieves the parallelism level of the task execution environment.

    Retrieves the parallelism level of the task execution environment.

    Definition Classes
      ThreadPoolTasks → Tasks

28. #### def queue: LinkedBlockingQueue[Runnable]

    Definition Classes
      ThreadPoolTasks

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from ThreadPoolTaskSupport to CollectionsHaveToParArray[ThreadPoolTaskSupport, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (ThreadPoolTaskSupport) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### var totaltasks: Int

    Definition Classes
      ThreadPoolTasks

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def →[B](y: B): (ThreadPoolTaskSupport, B)

    Implicit information
      This member is added by an implicit conversion from ThreadPoolTaskSupport to ArrowAssoc[ThreadPoolTaskSupport] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AdaptiveWorkStealingThreadPoolTasks

### Inherited from AdaptiveWorkStealingTasks

### Inherited from ThreadPoolTasks

### Inherited from TaskSupport

### Inherited from Tasks

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from ThreadPoolTaskSupport to CollectionsHaveToParArray[ThreadPoolTaskSupport, T]

### Inherited by implicit conversion any2stringadd from ThreadPoolTaskSupport to any2stringadd[ThreadPoolTaskSupport]

### Inherited by implicit conversion StringFormat from ThreadPoolTaskSupport to StringFormat[ThreadPoolTaskSupport]

### Inherited by implicit conversion Ensuring from ThreadPoolTaskSupport to Ensuring[ThreadPoolTaskSupport]

### Inherited by implicit conversion ArrowAssoc from ThreadPoolTaskSupport to ArrowAssoc[ThreadPoolTaskSupport]

### Ungrouped